#divDisplayEvents {
    border-radius: 24px;
    border: 1px solid var(--secondary-100, #E6E7EE);
    background: var(--gray-color-100, #FFF);
    box-shadow: 0 4px 56px 0 rgba(18, 18, 18, 0.08);
    padding: 40px 40px 56px;
}

.setting_Icon {
    background: var(--Gray-20, #3D3D3D);
    transition: 0.3s;
    height: 32px;
    width: 32px;
    display: flex;
}

.toolbar {
    margin-bottom: 56px;
}

.toolbar_Btn:hover .setting_Icon {
    background: var(--primary-20, #006156) !important;
}

.setting_Icon.settings {
    mask: url(Images/settings.svg) no-repeat center center;
}

.setting_Icon.events {
    mask: url(Images/news.svg) no-repeat center center;
}

.toolbar_Btn {
    width: 146px;
    height: 94px;
    display: flex;
    gap: 8px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.toolbar_Btn span {
    color: var(--Gray-G50, #7A7A7A);
    text-align: center;
    font-size: 14px;
    font-weight: 600;
    line-height: 28px;
    transition: 0.3s;
    position: relative;
}

.toolbar_Btn span::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 88px;
    height: 1px;
    background: var(--primary-30, #007A6B);
    opacity: 0;
    transition: 0.1s;
}

.toolbar_Btn:hover span::before {
    opacity: 1;
}

.toolbar_Btn:hover span {
    color: var(--Gray-G20, #3D3D3D);
}

.date_Type {
    color: var(--Gray-G20, #3D3D3D);
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    line-height: 32px;
    display: flex;
    gap: 24px;
    align-items: center;
    justify-content: center;
    border-bottom: 1px solid var(--Gray-G95, #E4E4E4);
    padding-bottom: 32px;
}

.date_Type select {
    border-radius: 6px;
    border: 1px solid var(--Gray-G95, #E4E4E4);
    background: var(--Gray-G100, #FFF);
    padding: 8px;

}

.DataGrid_Header {
    background: var(--Primary-P10, #004940);
    color: #FFF;
    font-size: 16px;
    line-height: 30px;
    height: 62px;
}

.DataGrid_Header th:first-child {
    border-top-right-radius: 12px;
}

.DataGrid_Header th:last-child {
    border-top-left-radius: 12px;
}

.DataGrid_Header th:nth-child(2) {
    width: 300px;
}

.DataGrid_Header th .dnnLabel {
    margin-left: 0 !important;
    padding: 0;
    width: 100%;
    margin-top: 16px;
    /* margin-right: 16px; */
}

.DataGrid_Header th:not(:last-child) .dnnLabel {
    position: relative;
}

.DataGrid_Header th:not(:last-child) .dnnLabel::before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%) translateX(10px);
    width: 1px;
    height: 28px;
    opacity: 0.3;
    background: var(--Gray-100, #FFF);
}

.DataGrid_Header th:first-child:not(:last-child) .dnnLabel::before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%) translateX(30px);
    width: 1px;
    height: 28px;
    opacity: 0.3;
    background: var(--Gray-100, #FFF);
}

.DataGrid_Header th:first-child .dnnLabel {
    transform: translateX(-20px);
}

.DataGrid_Header th:nth-child(2) .dnnLabel label {
    width: 500px;
}

.DataGrid_Header th:nth-child(1) .dnnLabel label,
.DataGrid_Header th:nth-child(3) .dnnLabel label,
.DataGrid_Header th:nth-child(4) .dnnLabel label,
.DataGrid_Header th:nth-child(5) .dnnLabel label,
.DataGrid_Header th:nth-child(6) .dnnLabel label,
.DataGrid_Header th:nth-child(7) .dnnLabel label,
.DataGrid_Header th:nth-child(8) .dnnLabel label,
.DataGrid_Header th:nth-child(9) .dnnLabel label {
    width: 80px;
}

.DataGrid_Item {
    border-bottom: 1px solid var(--Gray-G95, #E4E4E4);
    background: var(--Gray-G100, #FFF);
    height: 48px;
}

.DataGrid_AlternatingItem {
    border-bottom: 1px solid var(--Gray-G95, #E4E4E4);
    background: var(--Background, #F9F9F9);
    height: 48px;
}

.DataGrid_Item td,
.DataGrid_AlternatingItem td {
    padding-top: 10px;
    color: var(--Gray-G30, #4F4F4F);
    font-size: 14px;
    font-weight: 400;
    line-height: 28px;
}

.DataGrid_Container {
    border-collapse: separate !important;
    margin-bottom: 60px;
}

.DataGrid_Container tbody tr:not(:last-child) td,
.DataGrid_Container tbody tr:not(:last-child) th {
    border-bottom: 1px solid var(--Gray-G95, #E4E4E4);
}


.DataGrid_Container tbody tr:not(:last-child) td:first-child,
.DataGrid_Container tbody tr:not(:last-child) th:first-child {
    border-right: 1px solid var(--Gray-G95, #E4E4E4);
}

.DataGrid_Container tbody tr:not(:last-child) td:last-child,
.DataGrid_Container tbody tr:not(:last-child) th:last-child {
    border-left: 1px solid var(--Gray-G95, #E4E4E4);
}

.DataGrid_Container tbody tr:nth-last-child(2) td:last-child {
    border-bottom-left-radius: 12px;
}

.DataGrid_Container tbody tr:nth-last-child(2) td:first-child {
    border-bottom-right-radius: 12px;
}

.DataGrid_Container tbody tr.DataGrid_Header th:last-child {
    border-top-left-radius: 12px;
}

.DataGrid_Container tbody tr.DataGrid_Header th:first-child {
    border-top-right-radius: 12px;
}

.DataGrid_Container tbody tr:last-child {
    transform: translateY(40px);
}

.DataGrid_Container tr:not(:last-child) td:last-child input,
.DataGrid_Container tr:not(:last-child) td:nth-last-child(2) input {
    border: none;
    background: transparent;
}

.DataGrid_Container tr:not(:last-child) input[value="حذف"] {
    color: #A33107;
}

.DataGrid_Container tr td {
    position: relative;
}

.DataGrid_Container tr:not(:last-child) td:nth-last-child(1),
.DataGrid_Container tr:not(:last-child) td:nth-last-child(2) {
    padding-right: 22px;
}

.DataGrid_Container tr:not(:last-child) td:nth-last-child(1)::before,
.DataGrid_Container tr:not(:last-child) td:nth-last-child(2)::before {
    content: "";
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
    height: 16px;
    background-image: var(--icon);
    background-repeat: no-repeat;
    background-size: contain;
}

.DataGrid_Container tr:not(:last-child) td:nth-last-child(1)::before {
    --icon: url(Images/delete.svg);
}

.DataGrid_Container tr:not(:last-child) td:nth-last-child(2)::before {
    --icon: url(Images/edit.svg);
}

.DataGrid_Container tr:last-child input {
    border-radius: 6px;
    border: 1px solid var(--Gray-G90, #D1D1D1);
    background: var(--Gray-G100, #FFF);
    height: 48px;
    transition: 0.3s;
    text-indent: 20px;
}

.DataGrid_Container tr:last-child select {
    border-radius: 6px;
    border: 1px solid var(--Gray-G90, #D1D1D1);
    background: var(--Gray-G100, #FFF);
    height: 48px;
    min-width: 70px;
    transform: translateX(72px);
}

.DataGrid_Container tr:last-child input:focus {
    border: 1px solid var(--primary-30, #007A6B);
}

.DataGrid_Footer {
    position: relative;
}

.DataGrid_Footer td:first-child {
    position: absolute;
    right: 12px;
    top: -4px;
    z-index: 2;
}

.DataGrid_Footer td {
    color: var(--Gray-G60, #959595);
    font-size: 12px;
    font-weight: 400;
    line-height: 24px;
}

.DataGrid_Footer td:nth-child(2) {
    transform: translateX(82px);
}

.DataGrid_Container .DataGrid_Footer td:nth-last-child(3) {
    display: flex;
    align-items: center;
    justify-content: start;
    flex-direction: row-reverse;
    gap: 8px;
    transform: translate(40px, 20px);
}

#divDisplayEvents fieldset {
    display: flex;
    gap: 32px;
    align-items: center;
    transform: translateY(30px);
    margin-bottom: 32px;
}

#divDisplayEvents fieldset legend {
    width: 400px;
    color: var(--Gray-G20, #3D3D3D);
    font-size: 16px;
    font-weight: 600;
    line-height: 32px;
    text-align: right;
}

#divDisplayEvents fieldset span {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row-reverse;
    gap: 8px;
}

.DataGrid_Container .DataGrid_Footer td:nth-last-child(3) label {
    width: max-content;
    color: var(--Gray-G20, #3D3D3D);
    font-size: 14px;
    font-weight: 400;
    line-height: 28px;
}

.DataGrid_Container .DataGrid_Footer td:nth-last-child(2) {
    display: none;
}

input[type="checkbox"] {
    position: relative;
    height: 16px;
    width: 16px;
}

input[type="checkbox"]:checked {
    background-color: transparent;
}

input[type="checkbox"]:checked::after {
    content: "";
    display: block;
    width: 20px;
    height: 20px;
    background-image: url("Images/tick-box.jpg");
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
}

.DataGrid_Container .DataGrid_Footer input[type="submit"] {
    width: 74px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 6px;
    border: 1px solid var(--primary-30, #007A6B) !important;
    background: var(--primary-30, #007A6B) !important;
    color: var(--white, #FFF);
    font-size: 14px;
    font-weight: 500;
    line-height: 28px;
}

.DataGrid_Container .DataGrid_Footer td:nth-child(3) {
    position: relative;
}

.DataGrid_Container .DataGrid_Footer td:nth-child(3)::before {
    content: "ماه";
    position: absolute;
    top: 8px;
    right: 10px;
    transform: translateY(-50%) translateX(76px);
}

.DataGrid_Container .DataGrid_Footer td:nth-child(4) {
    position: relative;
}

.DataGrid_Container .DataGrid_Footer td:nth-child(4)::before {
    content: "روز";
    position: absolute;
    top: 8px;
    right: 10px;
    transform: translateY(-50%) translateX(76px);
}

.DataGrid_Footer td:last-child {
    position: relative;
}

.DataGrid_Footer td:last-child::before {
    content: "";
    mask: url(Images/calendar.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
    height: 20px;
    width: 20px;
    background: #FFF;
    position: absolute;
    top: 65%;
    right: 10px;
    transform: translateY(-50%);
}

#divDisplayEvents fieldset input[type="submit"] {
    width: 74px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 6px;
    border: 1px solid #A33107;
    background: #FFF;
    padding: 4px 20px;
    color: #A33107;
    font-size: 14px;
    font-weight: 400;
    line-height: 28px;
}

/* ----------------------------------------- */
.manage {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 24px;
    row-gap: 48px;
}

@media screen and (max-width: 768px) {
    .manage {
        grid-template-columns: repeat(1, 1fr);
    }
}

.manage .dnnFormItem {
    position: relative;
}

.manage .dnnFormItem .dnnLabel {
    position: absolute !important;
    top: -32px;
    width: max-content;
    right: 8px;
    color: var(--Gray-60, #959595);
    font-size: 12px;
    font-weight: 400;
    line-height: 24px;
}

.manage .dnnFormItem .dnnLabel .inner_Label {
    position: absolute !important;
    top: 34px;
    width: max-content;
    right: 30px;
    color: #000;
    font-size: 12px;
    font-weight: 400;
    line-height: 24px;
}

.manage input {
    border-radius: 6px !important;
    border: 1px solid var(--Gray-90, #D1D1D1) !important;
    /* background: var(--Gray-100, #FFF) !important; */
    width: 100% !important;
}

.manage .dnnFormItem p {
    position: absolute;
    top: 8px;
    left: 10px;
    color: var(--Gray-G60, #959595);
    font-size: 14px;
    font-weight: 400;
    line-height: 28px;
}

.dnnFormItem.check {
    border-radius: 6px !important;
    border: 1px solid var(--Gray-90, #D1D1D1) !important;
    /* background: var(--Gray-100, #FFF) !important; */
    height: 42px;
    display: flex;
    align-items: center;
}

.manage .mark {
    background-color: transparent;
    padding: 0;
}

.manage .dnnFormItem.list select {
    border-radius: 6px !important;
    border: 1px solid var(--Gray-90, #D1D1D1) !important;
    width: 100%;
}

#divDisplayEvents .dnnActions {
    display: flex;
    align-items: end;
}

#divDisplayEvents .dnnActions input[type="submit"]:hover {
    cursor: pointer;
    background-color: var(--primary-50, #007A6B);
}

#divDisplayEvents .dnnActions input[type="submit"] {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 6px;
    background: #FFF;
    padding: 4px 20px;
    color: #FFF;
    background-color: var(--primary-30, #007A6B);
    border: none;
    font-size: 14px;
    font-weight: 400;
    line-height: 28px;
    transition: 0.3s;
}